Loading...
Searching...
No Matches
DRTNonconformingModifiedAttributesSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTNonconformingModifiedAttributesSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getNonconformingDataElementValue (Uint8 *&value, unsigned long *count=NULL) const
| get NonconformingDataElementValue (0400,0552)
OFCondition | getSelectorAttribute (OFString &value, const signed long pos=0) const
| get SelectorAttribute (0072,0026)
OFCondition | getSelectorAttributePrivateCreator (OFString &value, const signed long pos=0) const
| get SelectorAttributePrivateCreator (0072,0056)
OFCondition | getSelectorSequencePointer (OFString &value, const signed long pos=0) const
| get SelectorSequencePointer (0072,0052)
OFCondition | getSelectorSequencePointerItems (OFString &value, const signed long pos=0) const
| get SelectorSequencePointerItems (0074,1057)
OFCondition | getSelectorSequencePointerItems (Sint32 &value, const unsigned long pos=0) const
| get SelectorSequencePointerItems (0074,1057)
OFCondition | getSelectorSequencePointerPrivateCreator (OFString &value, const signed long pos=0) const
| get SelectorSequencePointerPrivateCreator (0072,0054)
OFCondition | getSelectorValueNumber (Uint16 &value, const unsigned long pos=0) const
| get SelectorValueNumber (0072,0028)
OFCondition | setNonconformingDataElementValue (const Uint8 *value, const unsigned long count)
| set NonconformingDataElementValue (0400,0552)
OFCondition | setSelectorAttribute (const OFString &value, const OFBool check=OFTrue)
| set SelectorAttribute (0072,0026)
OFCondition | setSelectorAttributePrivateCreator (const OFString &value, const OFBool check=OFTrue)
| set SelectorAttributePrivateCreator (0072,0056)
OFCondition | setSelectorSequencePointer (const OFString &value, const OFBool check=OFTrue)
| set SelectorSequencePointer (0072,0052)
OFCondition | setSelectorSequencePointerItems (const OFString &value, const OFBool check=OFTrue)
| set SelectorSequencePointerItems (0074,1057)
OFCondition | setSelectorSequencePointerPrivateCreator (const OFString &value, const OFBool check=OFTrue)
| set SelectorSequencePointerPrivateCreator (0072,0054)
OFCondition | setSelectorValueNumber (const Uint16 value, const unsigned long pos=0)
| set SelectorValueNumber (0072,0028)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmOtherByteOtherWord | NonconformingDataElementValue
| NonconformingDataElementValue (0400,0552) vr=OB, vm=1, type=1.
DcmAttributeTag | SelectorAttribute
| SelectorAttribute (0072,0026) vr=AT, vm=1, type=1C.
DcmLongString | SelectorAttributePrivateCreator
| SelectorAttributePrivateCreator (0072,0056) vr=LO, vm=1, type=1C.
DcmAttributeTag | SelectorSequencePointer
| SelectorSequencePointer (0072,0052) vr=AT, vm=1-n, type=1C.
DcmIntegerString | SelectorSequencePointerItems
| SelectorSequencePointerItems (0074,1057) vr=IS, vm=1-n, type=1C.
DcmLongString | SelectorSequencePointerPrivateCreator
| SelectorSequencePointerPrivateCreator (0072,0054) vr=LO, vm=1-n, type=1C.
DcmUnsignedShort | SelectorValueNumber
| SelectorValueNumber (0072,0028) vr=US, vm=1, type=1C.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTNonconformingModifiedAttributesSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTNonconformingModifiedAttributesSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getNonconformingDataElementValue()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getNonconformingDataElementValue | ( | Uint8 *& | value,
|  | unsigned long * | count = NULL ) const

get NonconformingDataElementValue (0400,0552)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSelectorAttribute()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getSelectorAttribute | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SelectorAttribute (0072,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSelectorAttributePrivateCreator()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getSelectorAttributePrivateCreator | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SelectorAttributePrivateCreator (0072,0056)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSelectorSequencePointer()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getSelectorSequencePointer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SelectorSequencePointer (0072,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSelectorSequencePointerItems() [1/2]

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getSelectorSequencePointerItems | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SelectorSequencePointerItems (0074,1057)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSelectorSequencePointerItems() [2/2]

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getSelectorSequencePointerItems | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get SelectorSequencePointerItems (0074,1057)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSelectorSequencePointerPrivateCreator()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getSelectorSequencePointerPrivateCreator | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SelectorSequencePointerPrivateCreator (0072,0054)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSelectorValueNumber()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::getSelectorValueNumber | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get SelectorValueNumber (0072,0028)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTNonconformingModifiedAttributesSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTNonconformingModifiedAttributesSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTNonconformingModifiedAttributesSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setNonconformingDataElementValue()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::setNonconformingDataElementValue | ( | const Uint8 * | value,
|  | const unsigned long | count )

set NonconformingDataElementValue (0400,0552)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## setSelectorAttribute()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::setSelectorAttribute | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SelectorAttribute (0072,0026)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (AT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSelectorAttributePrivateCreator()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::setSelectorAttributePrivateCreator | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SelectorAttributePrivateCreator (0072,0056)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSelectorSequencePointer()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::setSelectorSequencePointer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SelectorSequencePointer (0072,0052)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (AT) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSelectorSequencePointerItems()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::setSelectorSequencePointerItems | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SelectorSequencePointerItems (0074,1057)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSelectorSequencePointerPrivateCreator()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::setSelectorSequencePointerPrivateCreator | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SelectorSequencePointerPrivateCreator (0072,0054)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSelectorValueNumber()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::setSelectorValueNumber | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set SelectorValueNumber (0072,0028)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTNonconformingModifiedAttributesSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtnmas.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0